"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const print = require("./src/print.js");
const index = require("../dynamics/index.js");
const util = require("./src/util.js");
const VxePrint = Object.assign({}, print.default, {
  install(app) {
    app.component(print.default.name, print.default);
  }
});
index.dynamicApp.use(VxePrint);
index_esm.VxeUI.component(print.default);
index_esm.VxeUI.print = util.printHtml;
const Print = VxePrint;
exports.Print = Print;
exports.VxePrint = VxePrint;
exports.default = VxePrint;
